/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.easybeans.examples.cluster;

/**
 *
 * @author eyindanga
 */
public enum ClusterProperty {
    /**
     * Default initial context factory.
     */
    DEFAULT_INITIAL_CONTEXT_FACTORY("org.ow2.carol.jndi.spi.MultiOrbInitialContextFactory"),
    /**
     * File name for CMI configuration.
     */
    DEFAULT_CMI_FILE_NAME("easybeans-cmi-client"),
    /**
     * File extension for CMI configuration.
     */
    DEFAULT_CMI_FILE_EXT(".properties"),

    DEFAULT_EZB_INITIAL_CONTEXT_FACTORY("easybeans.client.initial-context-factory"),
    /**
     * Initial context factory key.
     */
    CMI_INITIAL_CONTEXT_FACTORY_KEY("cmi.context.factory"),
    /**
     * Default context factory value.
     */
    DEFAULT_CMI_INITIAL_CONTEXT_FACTORY("org.ow2.cmi.jndi.context.CMIInitialContextFactory"),

    /**
     * Key for a CMI system property.
     */
    CMI_CONF_URL_KEY("cmi.conf.url");

    /**
     * Property field.
     */

    private String property;

    /**
     * Constructor using field.
     * @param prop
     */
    private ClusterProperty(final String prop) {
        this.property = prop;
    }

    /**
     * @return the property
     */
    public String getProperty() {
        return this.property;
    }

    /**
     * @param property the property to set
     */
    public void setProperty(final String property) {
        this.property = property;
    }




}
